------------------------------------------------------------------------------------
--Name:  	juqing2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-01-20
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(80, 174)
local Player_1 = CppScriptMgr:AddSimplePlayer(13170, 80, 174, "", 0, 0)
Player_1:SetDir(7)
CppScriptMgr:WaitMilSec(500)
local Effect_1 = CppScriptMgr:AddEffect("zf2-e233", 80, 174, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("bombarrow", 80, 174, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetHide(1)
local Player_2 = CppScriptMgr:AddPlayer(919, 80, 174, "", 0, 0)
Player_2:SetDir(7)
Player_2:SetZoomPercent(5)
local Effect_3 = CppScriptMgr:AddEffect("taoist-huohuan", 80, 174, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(100)
ChangeNpcZoom(Player_2, 5, 150, 5, 20)
CppScriptMgr:WaitMilSec(530)
Player_2:Say("Since you are here, stay for me!", 1500)
CppScriptMgr:WaitMilSec(390)
local effect_0 = CppScriptMgr:AddEffect("ride_screen", 80, 174, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(320)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(1160)